linphone::AccountListener Class Reference

An object to handle the callbacks for the handling of Account objects. More...

`#include <account_listener.hh>`

Inheritance diagram for linphone::AccountListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onRegistrationStateChanged (const std::shared_ptr< linphone::Account > &account, linphone::RegistrationState state, const std::string &message)
| Callback for notifying when a registration state has changed for the account.

## Detailed Description

An object to handle the callbacks for the handling of Account objects.

## Member Function Documentation

## onRegistrationStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::AccountListener::onRegistrationStateChanged | ( | const std::shared_ptr< linphone::Account > & | account,
|  | linphone::RegistrationState | state,
|  | const std::string & | message )

inline virtual

Callback for notifying when a registration state has changed for the account.

Parameters

  account | LinphoneAccount object whose registration state changed.
  state | The current LinphoneRegistrationState.
  message | A non nullptr informational message about the state.

The documentation for this class was generated from the following file:

- account_listener.hh